# Pusher Simple Examples

A resource of **really simple** how-to examples.

## Examples

### Subscribing to and Publishing data on Channels with different names (PHP)

`php/channel_names/src/`

Provides a way of subscribing to and triggering events on any channel name. A good way of double-checking if your channel name is valid. Uses the [PHP Pusher library by squeeks](https://github.com/squeeks/Pusher-PHP). Also see [Channel naming conventions](http://pusher.com/docs/client_api_guide/client_channels#naming-channels).

You can view the code in action here:
<http://www.leggetter.co.uk/pusher/pusher-examples/php/channel_names/src/>

### Excluding events from a recipient (Ruby)

`ruby/excluding-clients/src`

Shows how to exclude recipients from receiving events when trigger events using the Pusher Ruby gem.

### Publishing Events from a Rails Model

`ruby/rails/src`

Update `ruby/rails/src/initializers/pusher.rb` with your Pusher credentials.

Code for triggering/publishing the event can be found in `ruby/rails/src/app/models/post.rb`

### Using Pusher on Google App Engine

View the README.md file in `python-gae` for more information.

`python-gae/src`

### QuickStart example for the Pusher Pipe (Node.js)

`pusher_pipe/node/src`

## Want to see an example?

Please email [support@pusher.com](mailto:support@pusher.com?subject=Pusher Example request).

## Also see:

* [How-to Guides on the Pusher website](http://pusher.com/docs/how_do_i)
* [Resources on the Pusher website](http://pusher.com/docs/resources)
